cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gianugo Rabellino <g.rabell...@bibop.it>
Subject Re: Can't run under JBoss2.4/Tomcat3.2.3
Date Tue, 28 Aug 2001 17:04:36 GMT
On Tue, Aug 28, 2001 at 11:52:44AM -0400, IBrandt@aol.com wrote:
> I verified everything you listed.  I am using jdk1.4beta.  A little fishing
> around and I realized that Crimson was still being used from rt.jar
> (http://java.sun.com/j2se/1.4/docs/relnotes/features.html#xmlprocessing)!  

Argh. Cygwin, Cocoon 2, JDK 1.4 beta... now *this* is what I
call bleeding edge :))

> tried to use a modified "run.sh" to attempt to force the use of Xerces, but
> this caused more errors that it fixed (jboss failed to deploy the
> tomcat-test.ear, 

This seems to be the reason:

The encoding "Cp1252" is not supported., Cause:org.xml.sax.SAXException: Stopping after fatal
error: The encoding "Cp1252" is not supported

> and cocoon gave a new reason for not starting).

And this is the reason for Cocoon not to start:

org.apache.avalon.framework.configuration.ConfigurationException: AbstractMarkupLanguage:
SAX2 driver class org.apache.xerces.parsers.SAXParser not found

They both look like Xerces related problems, yet the run script
looks fine. Have you tried with any 1.3 JDK to see if it's a
java problem?

Ciao,

-- 
Gianugo Rabellino

---------------------------------------------------------------------
Please check that your question has not already been answered in the
FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>

To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail: <cocoon-users-help@xml.apache.org>


Mime
View raw message